Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MeshData Class Reference

メッシュデータ More...

`#include <MeshData.h>`

Inheritance diagram for Lamp::MeshData:

List of all members.

## Public Member Functions
virtual int | getReferenceCount () const
| リファレンスカウントの取得
virtual MeshData * | copy () const
| コピー
virtual int | getParentCount () const
| 親のサイズ取得
virtual Mesh * | getParent (int index) const
| 親の取得
virtual void | setBoundingSphere (const Sphere &boundingSphere)
| バウンディングスフィアの設定
virtual const Sphere & | getBoundingSphere () const
| バウンディングスフィアの取得
virtual void | setBoundingBox (const AxisAlignedBox &boundingBox)
| バウンディングボックスの設定
virtual const AxisAlignedBox & | getBoundingBox () const
| バウンディングボックスの取得
virtual bool | isBoundingChanged () const
| バウンディング変更フラグの取得
virtual void | clearBoundingChanged ()
| バウンディング変更フラグのクリア
virtual void | setPrimitiveType (Mesh::PrimitiveType primitiveType)
| プリミティブタイプの設定
virtual Mesh::PrimitiveType | getPrimitiveType () const
| プリミティブタイプの取得
virtual int | getPrimitiveCount () const
| プリミティブカウントの取得
virtual Triangle | getTriangle (int index) const
| 三角の取得
virtual bool | hasVertexIndices () const
| 頂点インデックスを持つかどうか
virtual void | setVertexIndexCount (int vertexIndexCount)
| 頂点インデックス数の設定
virtual int | getVertexIndexCount () const
| 頂点インデックス数の取得
virtual void | setVertexIndex (int index, u_short vertexIndex)
| 頂点インデックスの設定
virtual u_short | getVertexIndex (int index) const
| 頂点インデックスの取得
virtual const u_short * | getVertexIndexArray ()
| 頂点インデックス配列の取得
virtual void | setVertexCount (int vertexCount)
| 頂点数の設定
virtual int | getVertexCount () const
| 頂点数の取得
virtual void | setPosition (int index, const Vector3 &position)
| 位置の設定
virtual const Vector3 & | getPosition (int index) const
| 位置の取得
virtual const Vector3 * | getPositionArray () const
| 位置配列の取得
virtual void | enableNormal (bool normalFlag)
| 法線を有効にするかどうか
virtual bool | hasNormal () const
| 法線が有効かどうか
virtual void | setNormal (int index, const Vector3 &normal)
| 法線の設定
virtual const Vector3 & | getNormal (int index) const
| 法線の取得
virtual const Vector3 * | getNormalArray () const
| 法線配列の取得
virtual void | enableColor (bool colorFlag)
| カラーを有効にするかどうか
virtual bool | hasColor () const
| カラーが有効かどうか
virtual void | setColor (int index, const Color4c &color)
| カラーの設定
virtual const Color4c & | getColor (int index) const
| カラーの取得
virtual const Color4c * | getColorArray () const
| カラー配列の取得
virtual void | setTexCoordSetCount (int texCoordSetCount)
| テクスチャ座標セット数の設定
virtual int | getTexCoordSetCount () const
| テクスチャ座標セット数の設定
virtual void | setTexCoordType (int texCoordSet, TexCoord::Type texCoordType)
| テクスチャ座標タイプの設定
virtual TexCoord::Type | getTexCoordType (int texCoordSet) const
| テクスチャ座標タイプの取得
virtual const TexCoord::Type * | getTexCoordTypeArray () const
| テクスチャ座標タイプ配列の取得
virtual void | setTexCoord (int index, int texCoordSet, const float *texCoord, int numTexCoord)
| テクスチャ座標の設定
virtual const float *const * | getTexCoordArray () const
| テクスチャ座標配列の取得
virtual const float * | getTexCoordArray (int texCoordSet) const
| テクスチャ座標配列の取得
virtual int | getTexCoordArraySize (int texCoordSet) const
| テクスチャ座標配列サイズの取得
virtual void | setTexCoord1 (int index, int texCoordSet, const TexCoord1 &texCoord)
| 一次元テクスチャ座標の設定
virtual const TexCoord1 & | getTexCoord1 (int index, int texCoordSet) const
| 一次元テクスチャ座標の取得
virtual const TexCoord1 * | getTexCoord1Array (int texCoordSet) const
| 一次元テクスチャ座標配列の取得
virtual void | setTexCoord2 (int index, int texCoordSet, const TexCoord2 &texCoord)
| 二次元テクスチャ座標の設定
virtual const TexCoord2 & | getTexCoord2 (int index, int texCoordSet) const
| 二次元テクスチャ座標の取得
virtual const TexCoord2 * | getTexCoord2Array (int texCoordSet) const
| 二次元テクスチャ座標配列の取得
virtual void | setTexCoord3 (int index, int texCoordSet, const TexCoord3 &texCoord)
| 三次元テクスチャ座標の設定
virtual const TexCoord3 & | getTexCoord3 (int index, int texCoordSet) const
| 三次元テクスチャ座標の取得
virtual const TexCoord3 * | getTexCoord3Array (int texCoordSet) const
| 三次元テクスチャ座標配列の取得
virtual void | setTexCoord4 (int index, int texCoordSet, const TexCoord4 &texCoord)
| 四次元テクスチャ座標の設定
virtual const TexCoord4 & | getTexCoord4 (int index, int texCoordSet) const
| 四次元テクスチャ座標の取得
virtual const TexCoord4 * | getTexCoord4Array (int texCoordSet) const
| 四次元テクスチャ座標配列の取得
virtual void | setBonesPerVertex (int bonesPerVertex)
| 頂点あたりボーン数の設定
virtual int | getBonesPerVertex () const
| 頂点あたりボーン数の取得
virtual bool | hasBoneIndex () const
| ボーンインデックスが有効かどうか
virtual void | setBoneIndex (int vertexIndex, int boneNumber, u_char boneIndex)
| ボーンインデックスの設定
virtual void | setBoneIndex (int vertexIndex, u_char boneIndex)
| ボーンインデックスの設定
virtual u_char | getBoneIndex (int vertexIndex, int boneNumber) const
| ボーンインデックスの取得
virtual u_char | getBoneIndex (int vertexIndex) const
| ボーンインデックスの取得
virtual const u_char * | getBoneIndexArray () const
| ボーンインデックス配列の取得
virtual int | getWeightsPerVertex () const
| 頂点当たりウェイト数の取得
virtual bool | hasWeight () const
| ウェイトが有効かどうか
virtual void | setWeight (int vertexIndex, int boneNumber, float weight)
| ウェイトの設定
virtual float | getWeight (int vertexIndex, int boneNumber) const
| ウェイトの取得
virtual const float * | getWeightArray () const
| ウェイト配列の取得
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
virtual bool | isMeshData () const
| メッシュデータかどうか
## Static Public Member Functions
int | destroy (MeshData *meshData)
| 破棄
## Protected Member Functions
| MeshData (const String &name, Scene *scene)
| コンストラクタ
virtual | ~MeshData ()
| デストラクタ
virtual void | copyMeshDataValue (MeshData *destination) const
| メッシュデータの値コピー
virtual Direct3DIndexBuffer * | getIndexBuffer ()
| インデックスバッファの取得
virtual Direct3DVertexDeclaration * | getVertexDeclaration ()
| 頂点記述の取得
virtual int | getVertexSize ()
| 頂点サイズの取得
virtual Direct3DVertexBuffer * | getVertexBuffer ()
| 頂点バッファの構築
virtual int | addReference (Mesh *parent)
| 参照の追加
virtual int | removeReference (Mesh *parent)
| 参照の削除
## Friends
class | SceneObjectManagerTemplate< MeshData >
class | MeshDataManager
class | Mesh

## Detailed Description

メッシュデータ

Definition at line 41 of file MeshData.h.

## Constructor & Destructor Documentation

Lamp::MeshData::MeshData | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 34 of file MeshData.cpp. References NULL.

## Member Function Documentation

virtual int Lamp::MeshData::addReference | ( | Mesh * | parent | ) | `[inline, protected, virtual]`

  | 参照の追加 Parameters:
  parent | 親
Returns: 参照カウント Definition at line 809 of file MeshData.h. References Lamp::ArrayList< Mesh * >::add(), and getParentCount(). Referenced by Lamp::Mesh::setMeshData().

void Lamp::MeshData::copyMeshDataValue | ( | MeshData * | destination | ) | const`[protected, virtual]`

  | メッシュデータの値コピー Parameters:
  destination | コピー先メッシュデータ
Definition at line 86 of file MeshData.cpp. References boneIndices_, colors_, enableColor(), enableNormal(), getBoundingBox(), getBoundingSphere(), hasBoneIndex(), hasVertexIndices(), hasWeight(), normals_, positions_, setBoundingBox(), setBoundingSphere(), setPrimitiveType(), setTexCoordSetCount(), setTexCoordType(), setVertexCount(), setVertexIndexCount(), texCoords_, u_char, u_short, vertexIndexArray_, and weights_. Referenced by copy().

int Lamp::MeshData::destroy | ( | MeshData * | meshData | ) | `[static]`

  | 破棄 Parameters:
  meshData | 破棄するメッシュデータ
Returns: 破棄したオブジェクト数 Definition at line 77 of file MeshData.cpp. References Assert, Lamp::SceneObjectManagerTemplate< MeshData >::destroy(), Lamp::Scene::getMeshDataManager(), Lamp::SceneObject::getScene(), and NULL.

void Lamp::MeshData::enableColor | ( | bool | colorFlag | ) | `[virtual]`

  | カラーを有効にするかどうか Parameters:
  colorFlag | trueならカラーが有効になる
Definition at line 237 of file MeshData.cpp. References SafeArrayDelete, and SafeRelease. Referenced by copyMeshDataValue(), Lamp::Mesh::enableColor(), Lamp::TextSceneLoader::readMeshData(), and Lamp::BinarySceneLoader::readMeshData().

void Lamp::MeshData::enableNormal | ( | bool | normalFlag | ) | `[virtual]`

  | 法線を有効にするかどうか Parameters:
  normalFlag | trueなら法線が有効になる
Definition at line 222 of file MeshData.cpp. References SafeArrayDelete, and SafeRelease. Referenced by copyMeshDataValue(), Lamp::Mesh::enableNormal(), Lamp::TextSceneLoader::readMeshData(), and Lamp::BinarySceneLoader::readMeshData().

virtual u_char Lamp::MeshData::getBoneIndex | ( | int | vertexIndex | ) | const`[inline, virtual]`

  | ボーンインデックスの取得 Parameters:
  vertexIndex | 頂点インデックス
Returns: ボーンインデックス Definition at line 657 of file MeshData.h. References Assert, and u_char.

virtual u_char Lamp::MeshData::getBoneIndex | ( | int | vertexIndex,
|  | int | boneNumber
| ) | const`[inline, virtual]`

  | ボーンインデックスの取得 Parameters:
  vertexIndex | 頂点インデックス
  boneNumber | ボーン番号
Returns: ボーンインデックス Definition at line 645 of file MeshData.h. References Assert, hasBoneIndex(), and u_char. Referenced by Lamp::Mesh::getBoneIndex(), and Lamp::TextSceneSaver::writeMeshData().

virtual const u_char* Lamp::MeshData::getBoneIndexArray | ( |  | ) | const`[inline, virtual]`

| ボーンインデックス配列の取得 Returns: ボーンインデックス配列 Definition at line 667 of file MeshData.h. References u_char. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getBoneIndexArray(), getVertexBuffer(), and Lamp::BinarySceneSaver::writeMeshData().

virtual int Lamp::MeshData::getBonesPerVertex | ( |  | ) | const`[inline, virtual]`

| 頂点あたりボーン数の取得 Returns: 頂点あたりボーン数 Definition at line 603 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getBonesPerVertex(), getVertexBuffer(), getVertexDeclaration(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual const AxisAlignedBox& Lamp::MeshData::getBoundingBox | ( |  | ) | const`[inline, virtual]`

| バウンディングボックスの取得 Returns: バウンディングボックス Definition at line 116 of file MeshData.h. Referenced by copyMeshDataValue(), Lamp::Mesh::getBoundingBox(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual const Sphere& Lamp::MeshData::getBoundingSphere | ( |  | ) | const`[inline, virtual]`

| バウンディングスフィアの取得 Returns: バウンディングスフィア Definition at line 100 of file MeshData.h. Referenced by copyMeshDataValue(), Lamp::Mesh::getBoundingSphere(), Lamp::Mesh::getCenter(), Lamp::SceneFramework::loadScene(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual const Color4c& Lamp::MeshData::getColor | ( | int | index | ) | const`[inline, virtual]`

  | カラーの取得 Parameters:
  index | インデックス
Returns: カラー Definition at line 333 of file MeshData.h. References Assert, and hasColor(). Referenced by Lamp::Mesh::getColor(), and Lamp::TextSceneSaver::writeMeshData().

virtual const Color4c* Lamp::MeshData::getColorArray | ( |  | ) | const`[inline, virtual]`

| カラー配列の取得 Returns: カラー配列 Definition at line 343 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getColorArray(), getVertexBuffer(), and Lamp::BinarySceneSaver::writeMeshData().

Direct3DIndexBuffer * Lamp::MeshData::getIndexBuffer | ( |  | ) | `[protected, virtual]`

| インデックスバッファの取得 Returns: インデックスバッファ Definition at line 311 of file MeshData.cpp. References Assert, Lamp::RenderingDevice::createDynamicIndexBuffer(), Direct3DIndexBuffer, getVertexIndexArray(), getVertexIndexCount(), hasVertexIndices(), NULL, u_short, and Lamp::RenderingDevice::writeDynamicIndexBuffer(). Referenced by Lamp::Mesh::getIndexBuffer().

virtual const Vector3& Lamp::MeshData::getNormal | ( | int | index | ) | const`[inline, virtual]`

  | 法線の取得 Parameters:
  index | インデックス
Returns: 法線 Definition at line 289 of file MeshData.h. References Assert, and hasNormal(). Referenced by Lamp::Mesh::getNormal(), and Lamp::TextSceneSaver::writeMeshData().

virtual const Vector3* Lamp::MeshData::getNormalArray | ( |  | ) | const`[inline, virtual]`

| 法線配列の取得 Returns: 法線配列 Definition at line 299 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getNormalArray(), getVertexBuffer(), and Lamp::BinarySceneSaver::writeMeshData().

virtual Mesh* Lamp::MeshData::getParent | ( | int | index | ) | const`[inline, virtual]`

  | 親の取得 Parameters:
  index | 親のインデックス
Returns: 親 Definition at line 79 of file MeshData.h. References Assert, Lamp::ArrayList< Mesh * >::get(), and getParentCount().

virtual int Lamp::MeshData::getParentCount | ( |  | ) | const`[inline, virtual]`

| 親のサイズ取得 Returns: 親のサイズ Definition at line 72 of file MeshData.h. References Lamp::ArrayList< Mesh * >::getCount(). Referenced by addReference(), getParent(), and removeReference().

virtual const Vector3& Lamp::MeshData::getPosition | ( | int | index | ) | const`[inline, virtual]`

  | 位置の取得 Parameters:
  index | インデックス
Returns: 位置 Definition at line 246 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getPosition(), getTriangle(), and Lamp::TextSceneSaver::writeMeshData().

virtual const Vector3* Lamp::MeshData::getPositionArray | ( |  | ) | const`[inline, virtual]`

| 位置配列の取得 Returns: 位置配列 Definition at line 255 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getPositionArray(), getVertexBuffer(), and Lamp::BinarySceneSaver::writeMeshData().

int Lamp::MeshData::getPrimitiveCount | ( |  | ) | const`[virtual]`

| プリミティブカウントの取得 Returns: プリミティブカウント Definition at line 145 of file MeshData.cpp. References Assert, ErrorOut, getVertexCount(), and getVertexIndexCount(). Referenced by Lamp::Mesh::getPrimitiveCount().

virtual Mesh::PrimitiveType Lamp::MeshData::getPrimitiveType | ( |  | ) | const`[inline, virtual]`

| プリミティブタイプの取得 Returns: プリミティブタイプ Definition at line 143 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getPrimitiveType(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual int Lamp::MeshData::getReferenceCount | ( |  | ) | const`[inline, virtual]`

| リファレンスカウントの取得 Returns: リファレンスカウント Implements Lamp::SceneObject. Definition at line 50 of file MeshData.h. References Lamp::ArrayList< Mesh * >::getCount(). Referenced by Lamp::SceneLogicCheckFilter::filterMeshData().

virtual const TexCoord1& Lamp::MeshData::getTexCoord1 | ( | int | index,
|  | int | texCoordSet
| ) | const`[inline, virtual]`

  | 一次元テクスチャ座標の取得 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
Returns: 一次元テクスチャ座標 Definition at line 452 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoord1().

virtual const TexCoord1* Lamp::MeshData::getTexCoord1Array | ( | int | texCoordSet | ) | const`[inline, virtual]`

  | 一次元テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: 一次元テクスチャ座標配列 Definition at line 464 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoord1Array().

virtual const TexCoord2& Lamp::MeshData::getTexCoord2 | ( | int | index,
|  | int | texCoordSet
| ) | const`[inline, virtual]`

  | 二次元テクスチャ座標の取得 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
Returns: 二次元テクスチャ座標 Definition at line 492 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoord2().

virtual const TexCoord2* Lamp::MeshData::getTexCoord2Array | ( | int | texCoordSet | ) | const`[inline, virtual]`

  | 二次元テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: 二次元テクスチャ座標配列 Definition at line 504 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoord2Array().

virtual const TexCoord3& Lamp::MeshData::getTexCoord3 | ( | int | index,
|  | int | texCoordSet
| ) | const`[inline, virtual]`

  | 三次元テクスチャ座標の取得 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
Returns: 三次元テクスチャ座標 Definition at line 532 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoord3().

virtual const TexCoord3* Lamp::MeshData::getTexCoord3Array | ( | int | texCoordSet | ) | const`[inline, virtual]`

  | 三次元テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: 三次元テクスチャ座標配列 Definition at line 544 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoord3Array().

virtual const TexCoord4& Lamp::MeshData::getTexCoord4 | ( | int | index,
|  | int | texCoordSet
| ) | const`[inline, virtual]`

  | 四次元テクスチャ座標の取得 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
Returns: 四次元テクスチャ座標 Definition at line 572 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoord4().

virtual const TexCoord4* Lamp::MeshData::getTexCoord4Array | ( | int | texCoordSet | ) | const`[inline, virtual]`

  | 四次元テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: 四次元テクスチャ座標配列 Definition at line 584 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoord4Array().

virtual const float* Lamp::MeshData::getTexCoordArray | ( | int | texCoordSet | ) | const`[inline, virtual]`

  | テクスチャ座標配列の取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: テクスチャ座標配列 Definition at line 415 of file MeshData.h. References Assert.

virtual const float* const* Lamp::MeshData::getTexCoordArray | ( |  | ) | const`[inline, virtual]`

| テクスチャ座標配列の取得 Returns: テクスチャ座標配列 Definition at line 408 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getTexCoordArray(), getVertexBuffer(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual int Lamp::MeshData::getTexCoordArraySize | ( | int | texCoordSet | ) | const`[inline, virtual]`

  | テクスチャ座標配列サイズの取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: テクスチャ座標配列サイズ Definition at line 425 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoordArraySize(), and Lamp::BinarySceneSaver::writeMeshData().

virtual int Lamp::MeshData::getTexCoordSetCount | ( |  | ) | const`[inline, virtual]`

| テクスチャ座標セット数の設定 Returns: テクスチャ座標セット数 Definition at line 358 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getTexCoordSetCount(), getVertexBuffer(), getVertexDeclaration(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual TexCoord::Type Lamp::MeshData::getTexCoordType | ( | int | texCoordSet | ) | const`[inline, virtual]`

  | テクスチャ座標タイプの取得 Parameters:
  texCoordSet | テクスチャ座標セット
Returns: テクスチャ座標タイプ Definition at line 373 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::getTexCoordType(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual const TexCoord::Type* Lamp::MeshData::getTexCoordTypeArray | ( |  | ) | const`[inline, virtual]`

| テクスチャ座標タイプ配列の取得 Returns: テクスチャ座標タイプ配列 Definition at line 382 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::Mesh::getTexCoordTypeArray(), getVertexBuffer(), and getVertexDeclaration().

Triangle Lamp::MeshData::getTriangle | ( | int | index | ) | const`[virtual]`

  | 三角の取得 Parameters:
  index | プリミティブインデックス
Returns: 三角 Definition at line 159 of file MeshData.cpp. References ErrorOut, getPosition(), getVertexIndex(), and Lamp::Triangle::setVertex(). Referenced by Lamp::Mesh::getTriangle().

Direct3DVertexBuffer * Lamp::MeshData::getVertexBuffer | ( |  | ) | `[protected, virtual]`

| 頂点バッファの構築 Returns: 頂点バッファ Definition at line 352 of file MeshData.cpp. References Lamp::RenderingDevice::createDynamicVertexBuffer(), Direct3DVertexBuffer, getBoneIndexArray(), getBonesPerVertex(), getColorArray(), getNormalArray(), getPositionArray(), getTexCoordArray(), getTexCoordSetCount(), getTexCoordTypeArray(), getVertexCount(), getVertexSize(), getWeightArray(), getWeightsPerVertex(), NULL, and Lamp::RenderingDevice::writeDynamicVertexBuffer(). Referenced by Lamp::Mesh::getVertexBuffer().

virtual int Lamp::MeshData::getVertexCount | ( |  | ) | const`[inline, virtual]`

| 頂点数の取得 Returns: 頂点数 Definition at line 225 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), getPrimitiveCount(), getVertexBuffer(), Lamp::Mesh::getVertexCount(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

Direct3DVertexDeclaration * Lamp::MeshData::getVertexDeclaration | ( |  | ) | `[protected, virtual]`

| 頂点記述の取得 Returns: 頂点記述 Definition at line 333 of file MeshData.cpp. References Assert, Direct3DVertexDeclaration, getBonesPerVertex(), getTexCoordSetCount(), getTexCoordTypeArray(), getWeightsPerVertex(), hasColor(), hasNormal(), and NULL. Referenced by Lamp::Mesh::getVertexDeclaration(), and getVertexSize().

virtual u_short Lamp::MeshData::getVertexIndex | ( | int | index | ) | const`[inline, virtual]`

  | 頂点インデックスの取得 Parameters:
  index | インデックス
Returns: 頂点インデックス Definition at line 200 of file MeshData.h. References Assert, hasVertexIndices(), and u_short. Referenced by getTriangle(), Lamp::Mesh::getVertexIndex(), and Lamp::TextSceneSaver::writeMeshData().

virtual const u_short* Lamp::MeshData::getVertexIndexArray | ( |  | ) | `[inline, virtual]`

| 頂点インデックス配列の取得 Returns: 頂点インデックス配列 Definition at line 210 of file MeshData.h. References u_short. Referenced by getIndexBuffer(), Lamp::Mesh::getVertexIndexArray(), and Lamp::BinarySceneSaver::writeMeshData().

virtual int Lamp::MeshData::getVertexIndexCount | ( |  | ) | const`[inline, virtual]`

| 頂点インデックス数の取得 Returns: 頂点インデックス数 Definition at line 181 of file MeshData.h. Referenced by getIndexBuffer(), getPrimitiveCount(), Lamp::Mesh::getVertexIndexCount(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

int Lamp::MeshData::getVertexSize | ( |  | ) | `[protected, virtual]`

| 頂点サイズの取得 Returns: 頂点サイズ Definition at line 346 of file MeshData.cpp. References getVertexDeclaration(). Referenced by getVertexBuffer(), and Lamp::Mesh::getVertexSize().

virtual float Lamp::MeshData::getWeight | ( | int | vertexIndex,
|  | int | boneNumber
| ) | const`[inline, virtual]`

  | ウェイトの取得 Parameters:
  vertexIndex | 頂点インデックス
  boneNumber | ボーン番号
Returns: ウェイト Definition at line 704 of file MeshData.h. References Assert, and hasWeight(). Referenced by Lamp::Mesh::getWeight(), and Lamp::TextSceneSaver::writeMeshData().

virtual const float* Lamp::MeshData::getWeightArray | ( |  | ) | const`[inline, virtual]`

| ウェイト配列の取得 Returns: ウェイト配列 Definition at line 715 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), getVertexBuffer(), Lamp::Mesh::getWeightArray(), and Lamp::BinarySceneSaver::writeMeshData().

virtual int Lamp::MeshData::getWeightsPerVertex | ( |  | ) | const`[inline, virtual]`

| 頂点当たりウェイト数の取得 Returns: 頂点あたりウェイト数 Definition at line 676 of file MeshData.h. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), getVertexBuffer(), getVertexDeclaration(), Lamp::Mesh::getWeightsPerVertex(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual bool Lamp::MeshData::hasBoneIndex | ( |  | ) | const`[inline, virtual]`

| ボーンインデックスが有効かどうか Returns: ボーンインデックスが有効ならtrue Definition at line 609 of file MeshData.h. Referenced by copyMeshDataValue(), getBoneIndex(), Lamp::Mesh::hasBoneIndex(), setBoneIndex(), setBonesPerVertex(), and setVertexCount().

virtual bool Lamp::MeshData::hasColor | ( |  | ) | const`[inline, virtual]`

| カラーが有効かどうか Returns: カラーが有効ならtrue Definition at line 314 of file MeshData.h. Referenced by getColor(), getVertexDeclaration(), Lamp::Mesh::hasColor(), setColor(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual bool Lamp::MeshData::hasNormal | ( |  | ) | const`[inline, virtual]`

| 法線が有効かどうか Returns: 法線が有効ならtrue Definition at line 270 of file MeshData.h. Referenced by getNormal(), getVertexDeclaration(), Lamp::Mesh::hasNormal(), setNormal(), Lamp::TextSceneSaver::writeMeshData(), and Lamp::BinarySceneSaver::writeMeshData().

virtual bool Lamp::MeshData::hasVertexIndices | ( |  | ) | const`[inline, virtual]`

| 頂点インデックスを持つかどうか Returns: 頂点インデックスを持つならtrue Definition at line 167 of file MeshData.h. Referenced by copyMeshDataValue(), getIndexBuffer(), getVertexIndex(), Lamp::Mesh::hasVertexIndices(), Lamp::TextSceneLoader::readMeshData(), setVertexIndex(), and setVertexIndexCount().

virtual bool Lamp::MeshData::hasWeight | ( |  | ) | const`[inline, virtual]`

| ウェイトが有効かどうか Returns: ウェイトが有効ならtrue Definition at line 682 of file MeshData.h. Referenced by copyMeshDataValue(), getWeight(), Lamp::Mesh::hasWeight(), setBonesPerVertex(), setVertexCount(), and setWeight().

virtual bool Lamp::MeshData::initializeGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 724 of file MeshData.h. Referenced by Lamp::MeshDataManager::initializeGraphicsDeviceObjects().

virtual bool Lamp::MeshData::isBoundingChanged | ( |  | ) | const`[inline, virtual]`

| バウンディング変更フラグの取得 Returns: バウンディング変更フラグ Definition at line 123 of file MeshData.h. Referenced by Lamp::Mesh::traverse().

virtual bool Lamp::MeshData::isMeshData | ( |  | ) | const`[inline, virtual]`

| メッシュデータかどうか Returns: メッシュデータならtrue Reimplemented from Lamp::SceneObject. Definition at line 754 of file MeshData.h.

virtual int Lamp::MeshData::removeReference | ( | Mesh * | parent | ) | `[inline, protected, virtual]`

  | 参照の削除 Parameters:
  parent | 親
Returns: 参照カウント Definition at line 819 of file MeshData.h. References getParentCount(), and Lamp::ArrayList< Mesh * >::removeByValue(). Referenced by Lamp::Mesh::setMeshData().

virtual bool Lamp::MeshData::restoreGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 735 of file MeshData.h. Referenced by Lamp::MeshDataManager::restoreGraphicsDeviceObjects().

virtual void Lamp::MeshData::setBoneIndex | ( | int | vertexIndex,
|  | u_char | boneIndex
| ) | `[inline, virtual]`

  | ボーンインデックスの設定 Parameters:
  vertexIndex | 頂点インデックス
  boneIndex | ボーンインデックス
Definition at line 632 of file MeshData.h. References Assert.

virtual void Lamp::MeshData::setBoneIndex | ( | int | vertexIndex,
|  | int | boneNumber,
|  | u_char | boneIndex
| ) | `[inline, virtual]`

  | ボーンインデックスの設定 Parameters:
  vertexIndex | 頂点インデックス
  boneNumber | ボーン番号
  boneIndex | ボーンインデックス
Definition at line 617 of file MeshData.h. References Assert, and hasBoneIndex(). Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setBoneIndex().

void Lamp::MeshData::setBonesPerVertex | ( | int | bonesPerVertex | ) | `[virtual]`

  | 頂点あたりボーン数の設定 Parameters:
  bonesPerVertex | 頂点あたりボーン数
Definition at line 284 of file MeshData.cpp. References Assert, hasBoneIndex(), hasWeight(), SafeArrayDelete, SafeRelease, and u_char. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setBonesPerVertex().

virtual void Lamp::MeshData::setBoundingBox | ( | const AxisAlignedBox & | boundingBox | ) | `[inline, virtual]`

  | バウンディングボックスの設定 Parameters:
  boundingBox | 設定するバウンディングボックス
Definition at line 107 of file MeshData.h. Referenced by copyMeshDataValue(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setBoundingBox().

virtual void Lamp::MeshData::setBoundingSphere | ( | const Sphere & | boundingSphere | ) | `[inline, virtual]`

  | バウンディングスフィアの設定 Parameters:
  boundingSphere | 設定するバウンディングスフィア
Definition at line 91 of file MeshData.h. Referenced by copyMeshDataValue(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setBoundingSphere().

virtual void Lamp::MeshData::setColor | ( | int | index,
|  | const Color4c & | color
| ) | `[inline, virtual]`

  | カラーの設定 Parameters:
  index | インデックス
  color | カラー
Definition at line 321 of file MeshData.h. References Assert, and hasColor(). Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setColor().

virtual void Lamp::MeshData::setNormal | ( | int | index,
|  | const Vector3 & | normal
| ) | `[inline, virtual]`

  | 法線の設定 Parameters:
  index | インデックス
  normal | 法線
Definition at line 277 of file MeshData.h. References Assert, and hasNormal(). Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setNormal().

virtual void Lamp::MeshData::setPosition | ( | int | index,
|  | const Vector3 & | position
| ) | `[inline, virtual]`

  | 位置の設定 Parameters:
  index | インデックス
  position | 位置
Definition at line 235 of file MeshData.h. References Assert. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setPosition().

void Lamp::MeshData::setPrimitiveType | ( | Mesh::PrimitiveType | primitiveType | ) | `[virtual]`

  | プリミティブタイプの設定 Parameters:
  primitiveType | プリミティブタイプ
Definition at line 135 of file MeshData.cpp. References SafeArrayDelete, and SafeRelease. Referenced by copyMeshDataValue(), Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setPrimitiveType().

virtual void Lamp::MeshData::setTexCoord | ( | int | index,
|  | int | texCoordSet,
|  | const float * | texCoord,
|  | int | numTexCoord
| ) | `[inline, virtual]`

  | テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | テクスチャ座標
  numTexCoord | いくつのテクスチャ座標か
Definition at line 394 of file MeshData.h. References Assert. Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setTexCoord().

virtual void Lamp::MeshData::setTexCoord1 | ( | int | index,
|  | int | texCoordSet,
|  | const TexCoord1 & | texCoord
| ) | `[inline, virtual]`

  | 一次元テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | 一次元テクスチャ座標
Definition at line 437 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::setTexCoord1().

virtual void Lamp::MeshData::setTexCoord2 | ( | int | index,
|  | int | texCoordSet,
|  | const TexCoord2 & | texCoord
| ) | `[inline, virtual]`

  | 二次元テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | 二次元テクスチャ座標
Definition at line 477 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::setTexCoord2().

virtual void Lamp::MeshData::setTexCoord3 | ( | int | index,
|  | int | texCoordSet,
|  | const TexCoord3 & | texCoord
| ) | `[inline, virtual]`

  | 三次元テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | 三次元テクスチャ座標
Definition at line 517 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::setTexCoord3().

virtual void Lamp::MeshData::setTexCoord4 | ( | int | index,
|  | int | texCoordSet,
|  | const TexCoord4 & | texCoord
| ) | `[inline, virtual]`

  | 四次元テクスチャ座標の設定 Parameters:
  index | インデックス
  texCoordSet | テクスチャ座標セット
  texCoord | 四次元テクスチャ座標
Definition at line 557 of file MeshData.h. References Assert. Referenced by Lamp::Mesh::setTexCoord4().

void Lamp::MeshData::setTexCoordSetCount | ( | int | texCoordSetCount | ) | `[virtual]`

  | テクスチャ座標セット数の設定 Parameters:
  texCoordSetCount | テクスチャ座標セット数
Definition at line 252 of file MeshData.cpp. References SafeArrayDelete, and SafeRelease. Referenced by copyMeshDataValue(), Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setTexCoordSetCount().

void Lamp::MeshData::setTexCoordType | ( | int | texCoordSet,
|  | TexCoord::Type | texCoordType
| ) | `[virtual]`

  | テクスチャ座標タイプの設定 Parameters:
  texCoordSet | テクスチャ座標セット
  texCoordType | テクスチャ座標タイプ
Definition at line 268 of file MeshData.cpp. References Assert, SafeArrayDelete, and SafeRelease. Referenced by copyMeshDataValue(), Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setTexCoordType().

void Lamp::MeshData::setVertexCount | ( | int | vertexCount | ) | `[virtual]`

  | 頂点数の設定 Parameters:
  vertexCount | 頂点数
Definition at line 194 of file MeshData.cpp. References Assert, hasBoneIndex(), hasWeight(), SafeArrayDelete, SafeRelease, and u_char. Referenced by copyMeshDataValue(), Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setVertexCount().

virtual void Lamp::MeshData::setVertexIndex | ( | int | index,
|  | u_short | vertexIndex
| ) | `[inline, virtual]`

  | 頂点インデックスの設定 Parameters:
  index | インデックス
  vertexIndex | 頂点インデックス
Definition at line 188 of file MeshData.h. References Assert, and hasVertexIndices(). Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setVertexIndex().

void Lamp::MeshData::setVertexIndexCount | ( | int | vertexIndexCount | ) | `[virtual]`

  | 頂点インデックス数の設定 Parameters:
  vertexIndexCount | 頂点インデックス数
Definition at line 180 of file MeshData.cpp. References Assert, hasVertexIndices(), SafeArrayDelete, SafeRelease, and u_short. Referenced by copyMeshDataValue(), Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setVertexIndexCount().

virtual void Lamp::MeshData::setWeight | ( | int | vertexIndex,
|  | int | boneNumber,
|  | float | weight
| ) | `[inline, virtual]`

  | ウェイトの設定 Parameters:
  vertexIndex | 頂点インデックス
  boneNumber | ボーン番号
  weight | ウェイト
Definition at line 690 of file MeshData.h. References Assert, and hasWeight(). Referenced by Lamp::BuildIndexedTriangleFilter::filterMeshData(), Lamp::TextSceneLoader::readMeshData(), Lamp::BinarySceneLoader::readMeshData(), and Lamp::Mesh::setWeight().

The documentation for this class was generated from the following files:

- MeshData.h
- MeshData.cpp